
TYPO3.Flow - Task # 27561

Status: Accepted Priority: Could have
Author: Karsten Dambekalns Category: - Documentation -
Created: 2011-06-20 Assigned To:
Updated: 2013-09-23 Due date:
Sprint:
PHP Version:
Has patch: No
Complexity:
Subject: Complete documentation
Description

'nuff said

Subtasks:
Task # 5927: Write documentation for Cache Framework Resolved
Task # 3882: Document the Signal Slot features Resolved
Task # 11206: Provide documentation on how to install PHPUnit and vfs Rejected
Task # 13977: Document incompatibility of Apache's MulitViews and the resource rewrite ... Resolved
Task # 672: Finish documentation about configuration in FLOW3 Resolved
Task # 3881: Complete documentation about MVC Resolved
  Task # 27569: Document Routing features and setup Resolved
  Bug # 27640: Document property mapper Resolved
Task # 8923: Provide a Nginx Server Configuration for FLOW3 Under Review
Task # 27562: Update Persistence documentation Resolved
Task # 27567: Reorder chapters Resolved
Task # 27573: Update installation documentation Resolved
Task # 27614: Update Package documentation Resolved
Task # 29202: Provide a Cherokee Server Configuration for FLOW3 New
Task # 29266: Transfer "Introduction" chapter to ReST Resolved
Task # 35394: Document Routing feature "appendExceedingArguments" Resolved
Task # 29268: Transfer / Rewrite MVC chapter Closed
Task # 38037: Update FLOW3 manual Resolved
Task # 38038: Proofread FLOW3 manual Accepted
Bug # 38004: Missing CheatSheet folder for Getting Started manual Accepted
Task # 38561: Create `Reflection` manual page Resolved
Task # 38646: Create TypeConverter reference Resolved
Task # 38669: Create annotation reference Resolved
Task # 38680: Document configuration validation Resolved
Task # 38944: Write chapter about command line interface Resolved
Bug # 39374: References to renamed / moved code in part II Resolved

Associated revisions
Revision 90cad6b6 - 2012-06-27 10:16 - Ryan J. Peterson

[TASK] Add "Essential Design Patterns" to the guide

Re-uses some AOP verbage from part III of the guide.

Change-Id: I9255c9f5eedd377aa38bd7c39c9e79a857a93798
Related: #38037
Related: #27561
Releases: 1.1, 1.2

Revision 94d73f3a - 2012-06-27 10:17 - Ryan J. Peterson

[TASK] Add "Essential Design Patterns" to the guide

Re-uses some AOP verbage from part III of the guide.

Change-Id: I9255c9f5eedd377aa38bd7c39c9e79a857a93798
Related: #38037
Related: #27561
Releases: 1.1, 1.2

Revision 439702c1 - 2012-06-28 02:45 - Karsten Dambekalns

[TASK] Add "Introduction" to the guide

Added introduction section for the guide.

Change-Id: I3941c3981f17214f98fda08b21a492f1adca9eb8
Related: #38037
Related: #27561
Releases: 1.1, 1.2

Revision efe74d51 - 2012-07-04 15:54 - Karsten Dambekalns

[TASK] Add "Introduction" to the guide

Added introduction section for the guide.

Change-Id: I3941c3981f17214f98fda08b21a492f1adca9eb8
Related: #38037
Related: #27561
Releases: 1.1, 1.2

Revision d743972f - 2012-07-18 12:41 - Adrian Föder

[TASK] Correct typos in Coding Guidelines

This corrects some typos in PartV/CodingGuidelines of the
documentation.

Change-Id: I322c4ce5a9242ff5c22206d239bd1c7b86838f70
Related: #27561
Releases: 1.1, 1.2

Revision 219d22c8 - 2012-07-18 12:43 - Adrian Föder
[TASK] Correct typos in Coding Guidelines

This corrects some typos in PartV/CodingGuidelines of the
documentation.

Change-Id: I322c4ce5a9242ff5c22206d239bd1c7b86838f70
Related: #27561
Releases: 1.1, 1.2

Revision 522057e5 - 2012-08-17 11:04 - Karsten Dambekalns

[TASK] Fix markup errors on documentation

Change-Id: I6dbe51e52430f3f1bfca0a6bae929a243c93a758
Related: #27561
Releases: 1.1, 1.2

Revision 6878b35d - 2012-08-17 11:07 - Karsten Dambekalns

[TASK] Fix markup errors on documentation

Change-Id: I6dbe51e52430f3f1bfca0a6bae929a243c93a758
Related: #27561
Releases: 1.1, 1.2

History
#1 - 2011-10-20 01:43 - Karsten Dambekalns
- Target version deleted (1230)

#2 - 2012-06-21 21:55 - Karsten Dambekalns
- Target version set to 1.1
- Has patch set to No

#3 - 2012-08-17 11:18 - Karsten Dambekalns
- Target version deleted (1.1)

Ongoing task, removing target version.

Note to the audience: most of the crucial things have been documented by now!

#4 - 2012-08-17 23:07 - Jacob Floyd
There are five sections that still need a first draft:
    -  Part III: Manual
        -  Error and Exception Handling
        -  Logging and Debugging
        -  File Monitoring
        -  Testing
    -  Part IV: Deployment and Administration
And here are the resources I've gathered to help whoever ends up writing the chapters:
    -  Sebastian got xdebug working nicely with FLOW3's subrequests (Logging and Debugging):

http://blog.sandstorm-media.de/2012/08/debugging-flow3/
    -  Christopher did a presentation on Project Lifecycle with FLOW3 (Testing & Part IV: Deployment):

http://www.slideshare.net/ChristopherHlubek/f3x12-flow3-project-lifecycle
    -  Robert (and others?) built the jenkins server that is running PHPUnit and TYPO3.Surf for the FLOW3 project (Testing & Part IV: Deployment):

http://ci.typo3.robertlemke.net/

Part IV will need to explain TYPO3.Surf.

Also, while reworking the style of the manual, we'll need to create the glossary as it is quite sparse right now.
